## ide-workbench-message ide-workbench-message |

## Functions

GtkWidget * | ide_workbench_message_new ()
const gchar * | ide_workbench_message_get_id ()
void | ide_workbench_message_set_id ()
const gchar * | ide_workbench_message_get_title ()
void | ide_workbench_message_set_title ()
const gchar * | ide_workbench_message_get_subtitle ()
void | ide_workbench_message_set_subtitle ()
void | ide_workbench_message_add_action ()

## Properties

gchar * | id | Read / Write
gchar * | subtitle | Read / Write
gchar * | title | Read / Write

## Types and Values

#define | IDE_TYPE_WORKBENCH_MESSAGE
| IdeWorkbenchMessage

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkInfoBar
                            ╰── IdeWorkbenchMessage

## Implemented Interfaces

IdeWorkbenchMessage implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### ide_workbench_message_new ()

    GtkWidget *
    ide_workbench_message_new (void);

### ide_workbench_message_get_id ()

    const gchar *
    ide_workbench_message_get_id (IdeWorkbenchMessage *self);

### ide_workbench_message_set_id ()

    void
    ide_workbench_message_set_id (IdeWorkbenchMessage *self,
                                  const gchar *id);

### ide_workbench_message_get_title ()

    const gchar *
    ide_workbench_message_get_title (IdeWorkbenchMessage *self);

### ide_workbench_message_set_title ()

    void
    ide_workbench_message_set_title (IdeWorkbenchMessage *self,
                                     const gchar *title);

### ide_workbench_message_get_subtitle ()

    const gchar *
    ide_workbench_message_get_subtitle (IdeWorkbenchMessage *self);

### ide_workbench_message_set_subtitle ()

    void
    ide_workbench_message_set_subtitle (IdeWorkbenchMessage *self,
                                        const gchar *subtitle);

### ide_workbench_message_add_action ()

    void
    ide_workbench_message_add_action (IdeWorkbenchMessage *self,
                                      const gchar *label,
                                      const gchar *action_name);

## Types and Values

### IDE_TYPE_WORKBENCH_MESSAGE

    #define IDE_TYPE_WORKBENCH_MESSAGE (ide_workbench_message_get_type())

### IdeWorkbenchMessage

    typedef struct _IdeWorkbenchMessage IdeWorkbenchMessage;

## Property Details

### The `“id”` property

      “id”                       gchar *

Flags: Read / Write

Default value: NULL

### The `“subtitle”` property

      “subtitle”                 gchar *

Flags: Read / Write

Default value: NULL

### The `“title”` property

      “title”                    gchar *

Flags: Read / Write

Default value: NULL